Blue Guardrails

Get Conversation Evaluations

GET
/v1/conversations/{conversation_id}/evaluations

Get issue analysis results for a conversation.

See which messages were flagged and why. Use embed=(annotations) to include the detailed annotations with text spans for highlighting in your UI or further analysis.

Path Parameters

conversation_id*Conversation Id
Formatuuid

Query Parameters

embed?|

Embed resources: (annotations)

Header Parameters

x-workspace-id?|

Workspace UUID for session-authenticated calls.

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/conversations/497f6eca-6276-4993-bfeb-53cbbbba6f08/evaluations"
{  "items": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "message_id": "d7d9d9fd-478f-40e6-b651-49b7f19878a2",      "status": "string",      "evaluator_id": "92c2c259-25b9-47e2-bc3b-bd161a87f750",      "input_tokens": 0,      "output_tokens": 0,      "error_message": "string",      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z",      "annotations": [        {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "message_id": "d7d9d9fd-478f-40e6-b651-49b7f19878a2",          "text": "string",          "label": "string",          "explanation": "string",          "message_part_index": 0,          "start_offset": 0,          "end_offset": 0,          "tool_name": "string",          "parameter_name": "string",          "created_at": "2019-08-24T14:15:22Z"        }      ]    }  ]}